package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Hotspot: RADIUS Portal setting, required when [authType] is 11 and hotspot [enabledTypes] contains 8.
 */
@ApiModel(description = "Hotspot: RADIUS Portal setting, required when [authType] is 11 and hotspot [enabledTypes] contains 8.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class HotspotRadiusSettingResOpenApiVo   {
  @JsonProperty("radiusProfileId")
  private String radiusProfileId;

  @JsonProperty("authMode")
  private Integer authMode;

  @JsonProperty("nasId")
  private String nasId;

  @JsonProperty("authTimeout")
  private AuthTimeOpenApiVo authTimeout;

  @JsonProperty("disconnectReq")
  private Boolean disconnectReq;

  @JsonProperty("receiverPort")
  private Integer receiverPort;

  @JsonProperty("receiverPortStatus")
  private Integer receiverPortStatus;

  public HotspotRadiusSettingResOpenApiVo radiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
    return this;
  }

  /**
   * This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface
   * @return radiusProfileId
  */
  @ApiModelProperty(value = "This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface")


  public String getRadiusProfileId() {
    return radiusProfileId;
  }

  public void setRadiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
  }

  public HotspotRadiusSettingResOpenApiVo authMode(Integer authMode) {
    this.authMode = authMode;
    return this;
  }

  /**
   * RADIUS auth mode, should be a value as follows: 1: PAP; 2: CHAP
   * @return authMode
  */
  @ApiModelProperty(value = "RADIUS auth mode, should be a value as follows: 1: PAP; 2: CHAP")


  public Integer getAuthMode() {
    return authMode;
  }

  public void setAuthMode(Integer authMode) {
    this.authMode = authMode;
  }

  public HotspotRadiusSettingResOpenApiVo nasId(String nasId) {
    this.nasId = nasId;
    return this;
  }

  /**
   * RADIUS Attribute: NasID, should contain 1 to 64 characters.
   * @return nasId
  */
  @ApiModelProperty(value = "RADIUS Attribute: NasID, should contain 1 to 64 characters.")


  public String getNasId() {
    return nasId;
  }

  public void setNasId(String nasId) {
    this.nasId = nasId;
  }

  public HotspotRadiusSettingResOpenApiVo authTimeout(AuthTimeOpenApiVo authTimeout) {
    this.authTimeout = authTimeout;
    return this;
  }

  /**
   * Get authTimeout
   * @return authTimeout
  */
  @ApiModelProperty(value = "")

  @Valid

  public AuthTimeOpenApiVo getAuthTimeout() {
    return authTimeout;
  }

  public void setAuthTimeout(AuthTimeOpenApiVo authTimeout) {
    this.authTimeout = authTimeout;
  }

  public HotspotRadiusSettingResOpenApiVo disconnectReq(Boolean disconnectReq) {
    this.disconnectReq = disconnectReq;
    return this;
  }

  /**
   * Whether to support disconnect messages. Only for Omada Local Controller
   * @return disconnectReq
  */
  @ApiModelProperty(value = "Whether to support disconnect messages. Only for Omada Local Controller")


  public Boolean getDisconnectReq() {
    return disconnectReq;
  }

  public void setDisconnectReq(Boolean disconnectReq) {
    this.disconnectReq = disconnectReq;
  }

  public HotspotRadiusSettingResOpenApiVo receiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
    return this;
  }

  /**
   * Port for listening to disconnect messages, should be within the range of 1–65535.Only for Omada Local Controller
   * @return receiverPort
  */
  @ApiModelProperty(value = "Port for listening to disconnect messages, should be within the range of 1–65535.Only for Omada Local Controller")


  public Integer getReceiverPort() {
    return receiverPort;
  }

  public void setReceiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
  }

  public HotspotRadiusSettingResOpenApiVo receiverPortStatus(Integer receiverPortStatus) {
    this.receiverPortStatus = receiverPortStatus;
    return this;
  }

  /**
   * Port binding status, should be a value as follow: 1: Disconnect Requests port status running, 2: Disconnect Requests port status disable. Only for Omada Local Controller
   * @return receiverPortStatus
  */
  @ApiModelProperty(value = "Port binding status, should be a value as follow: 1: Disconnect Requests port status running, 2: Disconnect Requests port status disable. Only for Omada Local Controller")


  public Integer getReceiverPortStatus() {
    return receiverPortStatus;
  }

  public void setReceiverPortStatus(Integer receiverPortStatus) {
    this.receiverPortStatus = receiverPortStatus;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HotspotRadiusSettingResOpenApiVo hotspotRadiusSettingResOpenApiVo = (HotspotRadiusSettingResOpenApiVo) o;
    return Objects.equals(this.radiusProfileId, hotspotRadiusSettingResOpenApiVo.radiusProfileId) &&
        Objects.equals(this.authMode, hotspotRadiusSettingResOpenApiVo.authMode) &&
        Objects.equals(this.nasId, hotspotRadiusSettingResOpenApiVo.nasId) &&
        Objects.equals(this.authTimeout, hotspotRadiusSettingResOpenApiVo.authTimeout) &&
        Objects.equals(this.disconnectReq, hotspotRadiusSettingResOpenApiVo.disconnectReq) &&
        Objects.equals(this.receiverPort, hotspotRadiusSettingResOpenApiVo.receiverPort) &&
        Objects.equals(this.receiverPortStatus, hotspotRadiusSettingResOpenApiVo.receiverPortStatus);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radiusProfileId, authMode, nasId, authTimeout, disconnectReq, receiverPort, receiverPortStatus);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HotspotRadiusSettingResOpenApiVo {\n");
    
    sb.append("    radiusProfileId: ").append(toIndentedString(radiusProfileId)).append("\n");
    sb.append("    authMode: ").append(toIndentedString(authMode)).append("\n");
    sb.append("    nasId: ").append(toIndentedString(nasId)).append("\n");
    sb.append("    authTimeout: ").append(toIndentedString(authTimeout)).append("\n");
    sb.append("    disconnectReq: ").append(toIndentedString(disconnectReq)).append("\n");
    sb.append("    receiverPort: ").append(toIndentedString(receiverPort)).append("\n");
    sb.append("    receiverPortStatus: ").append(toIndentedString(receiverPortStatus)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

